# $Id: koffice-langpack.spec,v 1.2 2006/04/09 20:15:05 rexdieter Exp $

%{!?locale:%define locale da }
%{!?language:%define language Danish }

Name:    koffice-langpack-%{locale}
Summary: %{language}(%{locale}) language support for koffice 
Group:	 Applications/Office
Version: 1.6.2
Release: 1 

License: GPL
URL:     http://koffice.kde.org/
Source0: ftp://ftp.kde.org/pub/kde/stable/koffice-%{version}/src/koffice-l10n-%{locale}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires: kdelibs-devel

Requires:  koffice-core >= %{version}

Obsoletes:  koffice-l10n-%{locale} < %{version}-%{release}
Provides:   koffice-l10n-%{locale} = %{version}-%{release} 

%description
%{language}(%{locale}) language support for koffice.


%prep
%if "%{is_release}" != "0"
%setup -q -n koffice-l10n-%{locale}-%{version}%{?beta} 
%else
%setup -q -n koffice-l10n-%{locale} 
%endif


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

%configure 

make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT 

# remove file conflict (kdgantt.mo) with kde-i18n (kde bug #75096)
rm -f $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/kdgantt.mo

# Replace absolute symlinks with relative ones
if [ -d $RPM_BUILD_ROOT%{_docdir}/HTML ]; then
pushd $RPM_BUILD_ROOT%{_docdir}/HTML
for lang in *; do
  if [ -d $lang ]; then
    pushd $lang
    for i in *; do
      [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
    done
    popd
  fi
done
popd
fi

## File lists
# locale's
for app_file in $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/*.mo ; do
   app=$(basename $app_file .mo) 
   # don't repeat
   [ ! -f ${app}.lang ] && %find_lang ${app}
done
# HTML
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d $RPM_BUILD_ROOT$HTML_DIR ]; then
for lang_dir in $RPM_BUILD_ROOT$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) %doc $HTML_DIR/$lang/*" >> %{name}.lang
  fi
done
fi
# extras
if [ -d $RPM_BUILD_ROOT%{_datadir}/apps/koffice/autocorrect ]; then
for autocorrect_file in $RPM_BUILD_ROOT%{_datadir}/apps/koffice/autocorrect/*.xml ; do
  if [ -f "$autocorrect_file" ]; then
    lang=$(basename $autocorrect_file .xml)
    echo "%lang($lang) %{_datadir}/apps/koffice/autocorrect/${lang}.xml" >> autocorrect.lang
  fi
done
fi


cat *.lang > %{name}-all.lang


%files -f %{name}-all.lang
%defattr(-,root,root)


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Wed Feb 28 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.6.2-1
- koffice-l10n-1.6.2

* Sun Nov 26 2006 Rex Dieter 1.6.1-0.1
- 1.6.1

* Sat Nov 25 2006 Rex Dieter 1.6.0-0.1
- 1.6.0

* Fri Jul 21 2006 Rex Dieter 1.5.2-0.1.kde
- 1.5.2

* Fri Jun 02 2006 Rex Dieter 1.5.1-0.1.kde
- 1.5.1

* Wed Apr 05 2006 Rex Dieter 1.5.0-0.2.kde
- 1.5.0

* Thu Oct 13 2005 Rex Dieter 1.4.2-1.0.kde
- rename koffice-l10n -> koffice-langpack (to match Fedora Extras)

* Mon Oct 10 2005 Rex Dieter 4:1.4.2-1.0.kde
- 1.4.2

* Thu Jul 26 2005 Rex Dieter 4:1.4.1-1.1.kde
- remove file conflict (kdgantt.mo) with kde-i18n (kde bug #75096)

* Thu Jul 21 2005 Rex Dieter 4:1.4.1-1.0.kde
- koffice-1.4.1

* Wed Jun 15 2005 Rex Dieter 4:1.4.0-1.0.kde
- koffice-1.4(final)

* Fri Jun 03 2005 Rex Dieter 4:1.3.98-0.0.kde
- 1.3.98 (1.4rc1)
- koffice-i18n -> koffice-l10n-%%locale rename

* Mon May 02 2005 Rex Dieter <rexdieter[AT]users.sf.net> 4:1.3.91-0.0.kde
- 1.3.91 (1.4beta1)

* Wed Nov 17 2004 Rex Dieter <rexdieter[AT]users.sf.net> 4:1.3.5-0.0.kde
- 1.3.5

* Wed Oct 13 2004 Rex Dieter <rexdieter at sf.net> 4:1.3.4-0.0.kde
- 1.3.4

* Mon Sep 20 2004 Rex Dieter <rexdieter at sf.net> 4:1.3.3-0.0.kde
- 1.3.3

* Tue Aug 31 2004 Rex Dieter <rexdieter at sf.net> 4:1.3.2-1.0.kde
- Epoch: 4 to match redhat 

* Tue Jul 06 2004 Rex Dieter <rexdieter at sf.net> 0:1.3.2-1.0.kde
- 1.3.2

* Mon May 03 2004 Rex Dieter <rexdieter at sf.net> 0:1.3.1-0.0
- 1.3.1

* Thu Feb 12 2004 Rex Dieter <rexdieter at sf.net> 0:1.3-0.fdr.1
- fix file conflict with kde-i18n-3.2

* Sun Jan 18 2004 Rex Dieter <rexdieter at sf.net> 0:1.3-0.fdr.0
- 1.3

* Thu Dec 18 2003 Rex Dieter <rexdieter at sf.net> 0:1.2.95-0.fdr.0
- 1.2.95

* Fri Oct 31 2003 Rex Dieter <rexdieter at sf.net> 0:1.2.94-0.fdr.0
- 1.2.94

* Thu Aug 07 2003 Rex Dieter <rexdieter at sf.net> 0:1.2.1-0.fdr.1
- add Epoch
- tighten Requires
- remove rhversion from Release tag

* Sun Jun 22 2003 Rex Dieter <rexdieter at sf.net> 1.2.1-0.fdr.0
- fedora'ize.
- unpackaged files.

* Fri Feb 14 2003 Rex Dieter <rexdieter at sf.net> 1.2.1-0.0
- i18n subpkg.

